<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/resources/FontMenager.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_b1edfc2c49307e65a973a203b2244023.html">resources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">FontMenager.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="FontMenager_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;SFML/Graphics/Font.hpp&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1FontManager.html">FontManager</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html#a0a1ddc18f4b288aba1ce19c357c5b782">   11</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1FontManager.html#a0a1ddc18f4b288aba1ce19c357c5b782">Init</a>();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html#ae98945795e04f64faa7190f0b09d6e80">   12</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1FontManager.html#ae98945795e04f64faa7190f0b09d6e80">Destroy</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html#a0b1bf41b99c899187a3370298879fc29">   14</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1FontManager.html#a0b1bf41b99c899187a3370298879fc29">GetFont</a>(<span class="keyword">const</span> std::string &amp;fontname) -&gt; sf::Font *;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="keyword">static</span> <span class="keywordtype">void</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html#ae941984e4c88c95511e97551508e86fa">   16</a></span>    <a class="code hl_function" href="classgg_1_1FontManager.html#ae941984e4c88c95511e97551508e86fa">AddFont</a>(<span class="keyword">const</span> std::string &amp;fontname, <span class="keyword">const</span> std::string &amp;filename);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html#a37ba58e42c375b972691f714985161dd">   17</a></span>    <span class="keyword">static</span> <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1FontManager.html#a37ba58e42c375b972691f714985161dd">Size</a>() -&gt; std::size_t;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html#a2537930373af49cd285e3dc4de31af78">   19</a></span>    <a class="code hl_function" href="classgg_1_1FontManager.html#a2537930373af49cd285e3dc4de31af78">FontManager</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1FontManager.html#a5a9298a82072146a5cbd51a6b63e08ef">   20</a></span>    <a class="code hl_function" href="classgg_1_1FontManager.html#a5a9298a82072146a5cbd51a6b63e08ef">~FontManager</a>() = <span class="keyword">delete</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keyword">static</span> <span class="keywordtype">bool</span> sInitialized;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keyword">static</span> std::map&lt;std::string, sf::Font *&gt; sFontLibrary;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>};</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aclassgg_1_1FontManager_html"><div class="ttname"><a href="classgg_1_1FontManager.html">gg::FontManager</a></div><div class="ttdef"><b>Definition:</b> FontMenager.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1FontManager_html_a0a1ddc18f4b288aba1ce19c357c5b782"><div class="ttname"><a href="classgg_1_1FontManager.html#a0a1ddc18f4b288aba1ce19c357c5b782">gg::FontManager::Init</a></div><div class="ttdeci">static void Init()</div></div>
<div class="ttc" id="aclassgg_1_1FontManager_html_a0b1bf41b99c899187a3370298879fc29"><div class="ttname"><a href="classgg_1_1FontManager.html#a0b1bf41b99c899187a3370298879fc29">gg::FontManager::GetFont</a></div><div class="ttdeci">static auto GetFont(const std::string &amp;fontname) -&gt; sf::Font *</div></div>
<div class="ttc" id="aclassgg_1_1FontManager_html_a2537930373af49cd285e3dc4de31af78"><div class="ttname"><a href="classgg_1_1FontManager.html#a2537930373af49cd285e3dc4de31af78">gg::FontManager::FontManager</a></div><div class="ttdeci">FontManager()=delete</div></div>
<div class="ttc" id="aclassgg_1_1FontManager_html_a37ba58e42c375b972691f714985161dd"><div class="ttname"><a href="classgg_1_1FontManager.html#a37ba58e42c375b972691f714985161dd">gg::FontManager::Size</a></div><div class="ttdeci">static auto Size() -&gt; std::size_t</div></div>
<div class="ttc" id="aclassgg_1_1FontManager_html_a5a9298a82072146a5cbd51a6b63e08ef"><div class="ttname"><a href="classgg_1_1FontManager.html#a5a9298a82072146a5cbd51a6b63e08ef">gg::FontManager::~FontManager</a></div><div class="ttdeci">~FontManager()=delete</div></div>
<div class="ttc" id="aclassgg_1_1FontManager_html_ae941984e4c88c95511e97551508e86fa"><div class="ttname"><a href="classgg_1_1FontManager.html#ae941984e4c88c95511e97551508e86fa">gg::FontManager::AddFont</a></div><div class="ttdeci">static void AddFont(const std::string &amp;fontname, const std::string &amp;filename)</div></div>
<div class="ttc" id="aclassgg_1_1FontManager_html_ae98945795e04f64faa7190f0b09d6e80"><div class="ttname"><a href="classgg_1_1FontManager.html#ae98945795e04f64faa7190f0b09d6e80">gg::FontManager::Destroy</a></div><div class="ttdeci">static void Destroy()</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
